Subject: Re: bug#34580: Service ssh-daemon could not be started

From: "Brant Gardner" <[email-masked]>
Date: Fri, 27 Sep 2019 09:57:13 -0500

Hi Ludo;

Going to show my ignorance here - I've contributed some packages by making things in a 'guix environment' and then extracting patches, but what you need me to do is activate a configuration change in a 'live' guix install (and on a service rather than a package, also new-ish to me) so it sticks over a reboot.  This is not something I've done before and I'm not finding docs for it, can you direct me?

Thank you,

--
Brant Gardner

On Thu, Sep 26, 2019, at 15:48, Ludovic Courtès wrote:
> Hi Brand,
> 
> "Brant Gardner" <[email-masked]> skribis:
> 
> > I'll cheerfully do the experiment, but I don't know how - can you direct me for how to add strace where you need it to a booting system?
> 
> You could try something like the patch below.  When ‘ssh-daemon’ fails
> to start, you’ll have to make sure to grab /tmp/ssh.log.
> 
> I’ve just experienced it on a headless machine so I sympathize all the
> more now…
> 
> HTH!
> 
> Ludo’.
> 
>